## org.openorb.compiler.parser
Interface IRImport

All Known Implementing Classes:
  IdlFromIR

public interface IRImport

This interface must be implemented to get IDL descriptions from IR.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel

Method Summary
`void` `getDescriptionFromIR(java.lang.String scope_name, IdlObject current_scope)`
`void` `set_parser(IdlParser parser)`

Method Detail

### set_parser

    public void set_parser(IdlParser parser)

### getDescriptionFromIR

    public void getDescriptionFromIR(java.lang.String scope_name,
                                     IdlObject current_scope)